[Stable Update x32] 2018-02-22 - Kernels and extramodules

update
stable
manjaro32

#1

Hello i686ers!

This is another fairly small update set which mainly updates kernels 3.16, 4.4, 4.9, and 4.14 (with extramodules).


Available kernels

Series Version
linux316 3.16.54
linux41 4.1.49
linux44 4.4.116
linux49 4.9.82
linux414 4.14.20

archlinux32

If you find manjaro32 useful please consider donating to, or helping out with, archlinux32. It’s a small team taking on a huge project and any help will no doubt be very much appreciated.

Why aren’t the available packages/package versions the same as x86_64?

archlinux32 packages are based on Arch packages but may need editing to build correctly. Builds of less-popular packages are lower priority.

Manjaro-specific packages may lag behind x86_64 because there aren’t as many packagers. If you notice an important package is lagging please report it; at the moment it’s only me packaging for i686:

I’m only packaging current LTS kernels. Any marked as EOL are dropped. I’ll not be building the mainline kernel.

What about security updates?

I cannot guarantee timely security updates on x32-stable. If this is critical for you I recommend you switch to x32-testing or cherry-pick those packages from x32-testing or x32-unstable as they become available.

Something broke. Isn’t this meant to be stable?

“Stable” means “infrequently changing”, not “everything will work perfectly all the time”. If you want it to mean everything works, you need to help test the things you’re interested in.

What about installer images?

Phil very kindly updated the preview installer images:

There will be a new release as soon as I refresh myself on how to do it. :slight_smile:

What about x32-testing and x32-unstable?

These are already available, and I recommend you use x32-testing if you can to make sure testing is done.

x32-unstable should be used by anyone who wants to try and find any issues before they impact other people. If you have multiple/many machines you really should run one of those on x32-unstable.

The update announcement process will look something like:

Unstable Testing Stable Threads
Sync New unstable (when necessary)
Sync Snap New testing, update unstable
Sync Update unstable
Sync Snap Update testing, update unstable
Snap New stable, close testing and unstable
Sync New unstable (when necessary)
Sync Snap New testing, update unstable
etc. etc. etc. etc.

Full list of changes

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-15           2018-02-22
-------------------------------------------------------------------------------
                                bash            4.4.018-1            4.4.019-1
                            linux316            3.16.53-3            3.16.54-1
                    linux316-headers            3.16.53-3            3.16.54-1
                            linux414            4.14.19-1            4.14.20-2
                    linux414-headers            4.14.19-1            4.14.20-2
                             linux44            4.4.115-1            4.4.116-1
                     linux44-headers            4.4.115-1            4.4.116-1
                             linux49             4.9.81-1             4.9.82-1
                     linux49-headers             4.9.81-1             4.9.82-1


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-15           2018-02-22
-------------------------------------------------------------------------------
                               patch              2.7.5-1            2.7.6-1.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-15           2018-02-22
-------------------------------------------------------------------------------
                       calamares-git3.2.0.r4348.567c5f332-13.2.0.r4348.567c5f332-2
             cups-filters-driverless             1.19.0-1             1.20.0-1
                            exo-gtk3             0.11.4-2             0.12.0-1
                        gtk3-classic            3.22.26-4            3.22.28-1
                  linux316-acpi_call             1.1.0-38             1.1.0-39
                linux316-broadcom-wl      6.30.223.271-17      6.30.223.271-18
                linux316-ndiswrapper              1.61-15              1.61-18
                     linux316-nvidia           1:390.25-1           1:390.25-2
               linux316-nvidia-304xx          1:304.137-8          1:304.137-9
               linux316-nvidia-340xx            340.106-3            340.106-4
      linux316-open-vm-tools-modules      2:2013.09.16-37      2:2013.09.16-38
                      linux316-r8168           8.045.08-3           8.045.08-4
                  linux316-rt3562sta        2.4.1.1_r4-17        2.4.1.1_r4-18
                        linux316-spl              0.7.5-4              0.7.5-5
                linux316-vhba-module          20161009-17          20161009-18
   linux316-virtualbox-guest-modules              5.2.6-3              5.2.6-4
    linux316-virtualbox-host-modules              5.2.6-3              5.2.6-4
                        linux316-zfs              0.7.5-4              0.7.5-5
                 linux41-ndiswrapper               1.61-8              1.61-14
                  linux414-acpi_call             1.1.0-17             1.1.0-18
                   linux414-bbswitch               0.8-17               0.8-18
                linux414-broadcom-wl      6.30.223.271-17      6.30.223.271-18
                linux414-ndiswrapper              1.61-17              1.61-18
                     linux414-nvidia           1:390.25-3           1:390.25-4
               linux414-nvidia-304xx         1:304.137-17         1:304.137-18
               linux414-nvidia-340xx            340.106-5            340.106-6
                      linux414-r8168           8.045.08-5           8.045.08-6
                        linux414-spl              0.7.5-7              0.7.5-8
                   linux414-tp_smapi              0.41-17              0.41-18
                linux414-vhba-module          20161009-17          20161009-18
   linux414-virtualbox-guest-modules              5.2.6-5              5.2.6-6
    linux414-virtualbox-host-modules              5.2.6-5              5.2.6-6
                        linux414-zfs              0.7.5-7              0.7.5-8
                   linux44-acpi_call             1.1.0-82             1.1.0-83
                 linux44-broadcom-wl      6.30.223.271-52      6.30.223.271-53
                 linux44-ndiswrapper              1.61-34              1.61-51
                      linux44-nvidia           1:390.25-1           1:390.25-2
                linux44-nvidia-304xx         1:304.137-17         1:304.137-18
                linux44-nvidia-340xx            340.106-4            340.106-5
       linux44-open-vm-tools-modules      2:2013.09.16-82      2:2013.09.16-83
                       linux44-r8168           8.045.08-4           8.045.08-5
                   linux44-rt3562sta        2.4.1.1_r4-50        2.4.1.1_r4-51
                         linux44-spl              0.7.5-6              0.7.5-7
                 linux44-vhba-module          20161009-50          20161009-51
    linux44-virtualbox-guest-modules              5.2.6-3              5.2.6-4
     linux44-virtualbox-host-modules              5.2.6-3              5.2.6-4
                         linux44-zfs              0.7.5-6              0.7.5-7
                   linux49-acpi_call             1.1.0-63             1.1.0-64
                    linux49-bbswitch               0.8-63               0.8-64
                 linux49-broadcom-wl      6.30.223.271-63      6.30.223.271-64
                 linux49-ndiswrapper              1.61-61              1.61-62
                      linux49-nvidia           1:390.25-2           1:390.25-3
                linux49-nvidia-304xx         1:304.137-22         1:304.137-23
                linux49-nvidia-340xx            340.106-3            340.106-4
                       linux49-r8168           8.045.08-3           8.045.08-4
                   linux49-rt3562sta        2.4.1.1_r4-61        2.4.1.1_r4-62
                         linux49-spl              0.7.5-5              0.7.5-6
                    linux49-tp_smapi              0.41-63              0.41-64
                 linux49-vhba-module          20161009-61          20161009-62
    linux49-virtualbox-guest-modules              5.2.6-3              5.2.6-4
     linux49-virtualbox-host-modules              5.2.6-3              5.2.6-4
                         linux49-zfs              0.7.5-5              0.7.5-6
                   ndiswrapper-utils              1.61-17              1.61-18
                  nvidia-304xx-utils          1:304.137-3        1:304.137-3.0
                 opencl-nvidia-304xx          1:304.137-3        1:304.137-3.0
                    rt3562sta-common        2.4.1.1_r4-61        2.4.1.1_r4-62
                         thunar-gtk3              1.7.0-3              1.7.1-1
                    xfce4-panel-gtk3             4.13.2-2             4.13.2-3
                       xfce4-session           4.12.1-7.1           4.12.1-8.1
                          xfwm4-gtk3             4.13.0-8             4.13.0-9
                   mhwd-nvidia-304xx                    -        1:304.137-3.0


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-15           2018-02-22
-------------------------------------------------------------------------------
                          attica-qt4              0.4.2-3            0.4.2-4.1
                         eog-plugins             3.26.1-1           3.26.2-1.0
                            epiphany         3.26.5.1-1.0           3.26.6-1.0
                 extra-cmake-modules           5.42.0-1.0           5.43.0-1.0
                                faac           1.29.7.7-1         1.29.9.2-1.0
                                 feh           2.23.1-1.0           2.23.2-1.0
                                  go          2:1.9.3-1.0          2:1.9.4-1.0
                              go-pie          2:1.9.3-1.0          2:1.9.4-1.0
                             kapidox           5.42.0-1.0           5.43.0-1.0
                     kde-dev-scripts          17.12.1-1.0          17.12.2-1.0
                             l-smash              2.9.1-1           2.14.5-1.0
                             libcddb              1.3.2-4            1.3.2-5.0
                             libnova             0.15.0-1           0.15.0-1.1
                            liboauth   1.0.3+9+g11e9461-2 1.0.3+9+g11e9461-2.1
                          liborigin2           20110829-4         20110829-4.1
                     liborigin2-docs           20110829-4         20110829-4.1
                              libots              0.5.0-4            0.5.0-4.1
                            libspiro     1:0.5.20150702-1   1:0.5.20150702-1.1
                           mercurial            4.4.2-1.0              4.5-1.0
                        oxygen-icons         1:5.42.0-1.0         1:5.43.0-1.0
                    oxygen-icons-svg         1:5.42.0-1.0         1:5.43.0-1.0
                perl-config-autoconf              0.314-3            0.315-1.0
                      perl-tie-cycle              1.224-3            1.225-1.0
                              physfs              3.0.0-2            3.0.1-1.0
                               poxml          17.12.1-1.0          17.12.2-1.0
                            qjackctl              0.4.4-1                    -
                                qpdf            7.1.0-1.0            7.1.1-1.0
                           schedtool              1.3.0-3                    -
                                 snd             17.9-1.0                    -
                               sweep              0.9.3-3                    -
                         swh-plugins             0.4.15-6                    -
                               t1lib              5.1.2-6            5.1.2-6.1
                              unison             2.48.4-2          2.48.15-3.0
                          vte-common             0.50.2-10.50.2+6+g7fe155b9-1.0
                                vte3             0.50.2-10.50.2+6+g7fe155b9-1.0
                               xbill                2.1-9              2.1-9.1
                xfce4-battery-plugin              1.1.0-1            1.1.0-1.1


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-15           2018-02-22
-------------------------------------------------------------------------------
           adapta-black-breath-theme         3.93.0.119-1         3.93.0.129-1
             adapta-black-maia-theme         3.93.0.119-1         3.93.0.129-1
                 adapta-breath-theme         3.93.0.119-1         3.93.0.129-1
                   adapta-maia-theme         3.93.0.119-1         3.93.0.129-1
                               bmenu                0.5-1                0.5-2
                       bspwm-manjaro              0.9.4-6              0.9.4-8
                       bspwm-scripts               0.33-1               0.33-2
               manjaro-architect-dev  0.9.6.r5.g63aead5-1  0.9.7.r7.g743e51b-1
      manjaro-architect-dev-launcher  0.9.6.r5.g63aead5-1  0.9.7.r7.g743e51b-1
            manjaro-browser-settings           20180209-1           20180221-1
              manjaro-bspwm-settings           20180201-1           20180220-1
             manjaro-budgie-settings           20180113-1           20180220-1
                manjaro-jwm-settings           20180113-1           20180220-1
               manjaro-lxde-settings           20180113-1           20180220-1
               manjaro-mate-settings           20180113-1           20180220-1
                  manjaro-zsh-config                0.9-1               0.10-1
             papirus-maia-icon-theme           20180201-1           20180214-1
                 zsh-autosuggestions              0.4.0-2              0.4.2-1
        zsh-history-substring-search              1.0.0-1              1.0.1-1
                               light                    -                1.0-2
         manjaro-bspwm-mate-settings                    -           20180220-1
      manjaro-bspwm-settings-minimal                    -           20180220-1
                       micro-manjaro                    -              1.4.0-3


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-15           2018-02-22
-------------------------------------------------------------------------------
                             alembic              1.7.3-2            1.7.5-1.0
                                asar           0.14.1-1.0           0.14.2-1.0
                             awstats                7.6-1              7.7-1.0
                                 bam              0.5.0-1            0.5.1-1.0
                        coffeescript            2.1.1-1.0            2.2.1-1.0
                              consul            1.0.3-1.0            1.0.6-1.1
                         debootstrap           1.0.93-1.0           1.0.93-2.0
              deepin-desktop-schemas            3.2.6-2.0            3.2.6-3.0
                         deepin-dock          4.5.9.1-1.0           4.5.12-1.1
                            diffstat               1.61-1             1.61-2.1
                         erlang-docs               20.0-2             20.2-1.0
                      gnome-software           3.26.5-2.0           3.26.6-1.0
    gnome-software-packagekit-plugin           3.26.5-2.0           3.26.6-1.0
                           go-md2man              1.0.7-2            1.0.8-1.0
                               gpick            0.2.5-6.1         0.2.6rc1-1.0
                     haskell-doctest           0.13.0-1.1           0.13.0-2.0
                       haskell-gauge            0.2.1-3.0            0.2.1-4.0
       haskell-quickcheck-assertions            0.3.0-5.0            0.3.0-6.0
               haskell-stringbuilder            0.5.0-1.0            0.5.1-1.0
               haskell-with-location            0.1.0-1.0            0.1.0-2.0
                             hostapd                2.6-6              2.6-7.1
                                hugo             0.35-1.0             0.36-1.0
                               julia          2:0.6.2-1.0          2:0.6.2-2.0
                          julia-docs          2:0.6.2-1.0          2:0.6.2-2.0
                          keepalived            1.4.0-1.0            1.4.1-1.0
                             keybase           1.0.41-1.0           1.0.41-2.0
                              kibana            6.1.3-1.0            6.2.1-1.0
                          leatherman            1.3.0-2.0            1.4.0-1.0
                          libclastfm                0.5-3              0.5-4.0
                             libnids               1.24-3             1.24-3.1
                              libnl1              1.1.4-1            1.1.4-1.1
                            libnoise              1.0.0-4            1.0.0-4.1
                            libnsbmp              0.1.4-2            0.1.4-2.1
                            libnsgif              0.2.0-1            0.2.0-1.1
                          libnsutils              0.0.3-1            0.0.3-1.1
                          libopenraw              0.1.2-1            0.1.2-1.1
                            liboping             1.10.0-3           1.10.0-3.1
                 libretro-shaders-cg                701-1              826-1.0
               libretro-shaders-glsl                169-1              292-1.0
              libretro-shaders-slang                387-1              471-1.0
                              libsmf                1.3-5              1.3-8.0
                             libspf2             1.2.10-3           1.2.10-3.1
                             libwrap             7.6.24-3           7.6.24-3.1
                          metasploit          4.16.34-1.0          4.16.36-1.0
                                mksh               56.b-1             56.c-1.0
                               mlton           20170725-3         20180207-1.0
                             neomutt         20171215-2.0         20171215-3.0
                         nodejs-less              2.7.3-1            3.0.0-1.0
                       nss-pam-ldapd            0.9.8-2.0            0.9.8-3.0
                            ophcrack              3.7.0-1            3.7.0-2.0
                    otf-font-awesome            5.0.2-1.0            5.0.6-2.0
                           partclone             0.2.89-2           0.2.89-2.1
                           pcsc-perl             1.4.14-5           1.4.14-6.0
                 perl-file-path-tiny                0.8-3              0.9-1.0
              perl-html-tableextract               2.13-3             2.15-1.0
               perl-parse-recdescent           1.967013-2         1.967015-1.0
                          perl-pegex               0.63-3             0.64-1.0
              perl-scalar-list-utils               1.47-4             1.49-1.0
                  perl-text-template             1.48-1.0             1.50-1.0
                             picocom              3.0-1.0              3.1-1.0
                         pidgin-sipe             1.23.0-1           1.23.0-1.1
                            pngcrush             1.8.13-1           1.8.13-2.0
                                pork          0.99.8.1-14        0.99.8.1-15.0
                    python-braintree           3.40.0-1.0           3.41.0-1.0
                     python-cherrypy           13.1.0-1.0           14.0.0-1.0
              python-doublex-expects           0.7.0rc2-2         0.7.0rc2-2.1
              python-flake8-debugger              3.0.0-1            3.1.0-1.0
                        python-funcy               1.10-1           1.10.1-1.0
                        python-hglib                2.4-1              2.5-1.0
                       python-parsel            1.3.1-1.0            1.4.0-1.0
                 python-phonenumbers           8.8.10-1.0           8.8.11-1.0
                    python-pkgconfig              1.2.2-2            1.3.1-1.0
                     python-pyassert              0.4.2-3            0.4.2-3.1
                        python-pyfix              0.2.3-3            0.2.3-3.1
                     python-pygithub               1.35-1             1.36-1.0
                       python-ropper           1.11.4-1.0           1.11.6-1.0
                         python-slip              0.6.4-3            0.6.5-1.0
                    python-unidecode            0.04.21-1           1.0.22-1.0
                   python2-braintree           3.40.0-1.0           3.41.0-1.0
                    python2-cherrypy           13.1.0-1.0           14.0.0-1.0
                        python2-docs             2.7.13-1           2.7.14-1.0
             python2-doublex-expects           0.7.0rc2-2         0.7.0rc2-2.1
             python2-flake8-debugger              3.0.0-1            3.1.0-1.0
                       python2-funcy               1.10-1           1.10.1-1.0
                       python2-hglib                2.4-1              2.5-1.0
                      python2-parsel            1.3.1-1.0            1.4.0-1.0
                python2-phonenumbers           8.8.10-1.0           8.8.11-1.0
                   python2-pkgconfig              1.2.2-2            1.3.1-1.0
                    python2-pyassert              0.4.2-3            0.4.2-3.1
                       python2-pyfix              0.2.3-3            0.2.3-3.1
                    python2-pygithub               1.35-1             1.36-1.0
                      python2-ropper           1.11.4-1.0           1.11.6-1.0
                   python2-unidecode            0.04.21-1           1.0.22-1.0
                                raul              0.8.0-5            0.8.0-7.0
                              ropper           1.11.4-1.0           1.11.6-1.0
                          ruby-async            1.2.0-2.0            1.2.2-1.0
                       ruby-async-io            1.0.0-2.0            1.2.1-1.0
          ruby-jekyll-sass-converter            1.5.1-2.0            1.5.2-1.0
                  ruby-public_suffix            3.0.1-2.0            3.0.2-1.0
                           ruby-rack            2.0.3-2.0            2.0.4-1.0
                          ruby-rouge            3.1.0-1.0            3.1.1-1.0
                  ruby-rspec-support            3.7.0-2.0            3.7.1-1.0
                             ser2net             2.10.0-2              3.5-1.0
                         speedcrunch             0.12.0-1           0.12.0-1.1
                          streamlink              0.9.0-1           0.10.0-1.1
                          subsurface            4.7.6-1.0            4.7.7-1.0
                    subsurface-libdc            4.7.6-1.0            4.7.7-1.0
                             surfraw              2.2.9-1            2.3.0-2.0
                            sylpheed            3.6.0-4.0            3.7.0-1.0
                           syncthing          0.14.43-1.0          0.14.44-1.0
                  syncthing-relaysrv          0.14.43-1.0          0.14.44-1.0
                         tap-plugins            0.7.3-2.0            1.0.0-2.0
                        tcp-wrappers             7.6.24-3           7.6.24-3.1
                         telegram-qt              0.1.0-2            0.1.0-2.1
                           terraform           0.11.2-1.0           0.11.3-1.0
                  treefrog-framework             1.19.0-1           1.20.0-1.0
                    ttf-font-awesome            5.0.2-1.0            5.0.6-2.0
                         ttf-gentium               1.03-4             1.03-4.1
                                vifm                0.9-1            0.9.1-1.0
                            visitors                0.7-4              0.7-4.1
                               wammu               0.43-1             0.43-1.1
                  yubikey-manager-qt            0.4.0-1.0            0.4.0-1.1
             yubikey-personalization           1.18.1-1.0           1.18.1-2.0
                                 zim               0.67-1             0.67-1.1
                         aj-snapshot                    -            0.9.7-3.0
                             cadence                    -            0.8.1-7.0
                           drumgizmo                    -           0.9.14-4.0
                               faust                    -           2.5.21-1.0
                                  fd                    -            6.3.0-1.0
                                 gmm                    -              5.2-1.0
              haskell-chasingbottoms                    -          1.3.1.3-1.2
                                 iwd                    -              0.1-3.0
                             liblscp                    -            0.5.8-3.0
               libretro-pcsx-rearmed                    -               1346-1
                            qastools                    -           0.21.0-3.0
                            qjackctl                    -            0.4.4-1.1
                          qmidiroute                    -            0.4.0-5.0
                            qsampler                    -            0.5.0-3.0
                             rtaudio                    -            5.0.0-6.0
                              rtmidi                    -            3.0.0-6.0
                           schedtool                    -            1.3.0-4.0
                                 snd                    -             17.9-1.1
                               sweep                    -            0.9.3-4.0
                         swh-plugins                    -           0.4.15-7.0
                       zita-ajbridge                    -            0.7.0-3.0

Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters



#2

Known issues and solutions

This is a wiki post; please edit as necessary.


#3

2017??


#4

I can’t believe I’m still doing that…


#5

All done, Perfect.
Thank you for all your efforts.


#6

Update on 1 Machine and 1 VB without Problems.

DK3


#7

This topic was automatically closed after 46 hours. New replies are no longer allowed.